Saltar para o conteúdo

Visão geral

  • Versão: 2.0
  • Servidores: https://api.xsolla.com/merchant/v2/

Essa referência API descreve os pontos de extremidade na gerência de assinaturas, cupons e promoções. Para obter mais informações sobre as Assinaturas, veja o guia do produto e o glossário.

Transferir a descrição da OpenAPI
Idiomas
Servidores
Mock server
https://xsolla.redocly.app/_mock/pt/api/subscriptions/
Operações
Operações
Operações
Operações
Operações
Operações
Operações
Operações
Operações

Pedido

Segurança
projectUserJwtAuth
Caminho
project_idinteger\d+obrigatório
Consulta
limitinteger
offsetinteger
localestring
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/pt/api/subscriptions/api/user/v1/projects/{project_id}/products?limit=0&offset=0&locale=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Respostas

Subscription's products

Corpoapplication/json
has_morebooleanobrigatório
Exemplo: false
itemsArray of objects
Padrão []
items[].​product_descriptionstring or null
Exemplo: "Localized product description"
items[].​product_external_idstring or null
Exemplo: "ProductExternalId"
items[].​product_group_idstring or null
Exemplo: "TestGroupId"
items[].​product_idintegerobrigatório
Exemplo: "12345"
items[].​product_namestringobrigatório
Exemplo: "Product name"
Resposta
application/json
{ "has_more": false, "items": [] }

Pedido

Segurança
projectUserJwtAuth
Caminho
project_idinteger\d+obrigatório
productIdstringobrigatório
Consulta
plan_idArray of integers
plan_external_idArray of strings
limitinteger
offsetinteger
localestring
countrystring
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/pt/api/subscriptions/api/user/v1/projects/{project_id}/products/{productId}/plans?plan_id=0&plan_external_id=string&limit=0&offset=0&locale=string&country=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Respostas

Subscription's plans by product

Corpoapplication/json
has_morebooleanobrigatório
Exemplo: "false"
itemsArray of objects
Padrão []
items[].​chargeobjectobrigatório
items[].​charge.​amountnumber(float)obrigatório
Exemplo: 4.99
items[].​charge.​currencystringobrigatório
Exemplo: "USD"
items[].​charge.​setup_feenumber(float)obrigatório
Exemplo: 0.99
items[].​periodobjectobrigatório
items[].​period.​unitstring or null
Padrão null
Exemplo: "month"
items[].​period.​valueinteger or null
Padrão null
Exemplo: "1"
items[].​plan_descriptionstringobrigatório
Exemplo: "Localized plan description"
items[].​plan_end_datestring or null(date-time)
Exemplo: "2031-04-11T13:51:02+03:00"
items[].​plan_external_idstringobrigatório
Exemplo: "PlanExternalId"
items[].​plan_group_idstring or null
Exemplo: "TestGroupId"
items[].​plan_idintegerobrigatório
Exemplo: "54321"
items[].​plan_namestringobrigatório
Exemplo: "Localized plan name"
items[].​plan_start_datestring or null(date-time)
Exemplo: "2021-04-11T13:51:02+03:00"
items[].​plan_typestringobrigatório
Exemplo: "all"
items[].​promotionobjectobrigatório
items[].​promotion.​promotion_charge_amountnumber or null(float)
Padrão null
Exemplo: "3.99"
items[].​promotion.​promotion_remaining_chargesinteger or null
Padrão null
Exemplo: "3"
items[].​trial_periodinteger or null
Exemplo: "7"
Resposta
application/json
{ "has_more": "false", "items": [] }
Operações
Operações
Operações